Package com.io7m.idstore.protocol.admin

# Record Class IdAResponseError

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.IdAResponseError

Record Components:
  `requestId` - The request ID
  `errorCode` - The error code
  `message` - The humanly-readable error message
  `attributes` - The error attributes
  `remediatingAction` - The remediating action, if any

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBMessageType`, `com.io7m.hibiscus.api.HBResponseType`, `IdAMessageType`, `IdAResponseType`, `IdProtocolMessageType`, `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`

public record IdAResponseError(UUID requestId, String message, IdErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction) extends Record implements IdAResponseType, com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>
An error response.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAResponseError(UUID requestId, String message, IdErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction)`
  An error response.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `attributes()`
  Returns the value of the `attributes` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `IdErrorCode`
  `errorCode()`
  Returns the value of the `errorCode` record component.
  `Optional<Throwable>`
  `exception()`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `Optional<String>`
  `remediatingAction()`
  Returns the value of the `remediatingAction` record component.
  `UUID`
  `requestId()`
  Returns the value of the `requestId` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAResponseError

    public IdAResponseError(UUID requestId, String message, IdErrorCode errorCode, Map<String,String> attributes, Optional<String> remediatingAction)
    An error response.
    Parameters:
      `requestId` - The request ID
      `errorCode` - The error code
      `message` - The humanly-readable error message
      `attributes` - The error attributes
      `remediatingAction` - The remediating action, if any

- ## Method Details

  - ### exception

    public Optional<Throwable> exception()
    Specified by:
      `exception` in interface `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`
    Returns:
      The associated exception, if any

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### requestId

    public UUID requestId()
    Returns the value of the `requestId` record component.
    Specified by:
      `requestId` in interface `IdAResponseType`
    Returns:
      the value of the `requestId` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Specified by:
      `message` in interface `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`
    Returns:
      the value of the `message` record component

  - ### errorCode

    public IdErrorCode errorCode()
    Returns the value of the `errorCode` record component.
    Specified by:
      `errorCode` in interface `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`
    Returns:
      the value of the `errorCode` record component

  - ### attributes

    public Map<String,String> attributes()
    Returns the value of the `attributes` record component.
    Specified by:
      `attributes` in interface `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`
    Returns:
      the value of the `attributes` record component

  - ### remediatingAction

    public Optional<String> remediatingAction()
    Returns the value of the `remediatingAction` record component.
    Specified by:
      `remediatingAction` in interface `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`
    Returns:
      the value of the `remediatingAction` record component